about summary refs log tree commit diff stats
path: root/config/ksh
diff options
context:
space:
mode:
Diffstat (limited to 'config/ksh')
-rw-r--r--config/ksh/functions/man_complete2
-rw-r--r--config/ksh/functions/mpvpin2
-rw-r--r--config/ksh/kshrc3
-rw-r--r--config/ksh/prompt.ksh2
4 files changed, 5 insertions, 4 deletions
diff --git a/config/ksh/functions/man_complete b/config/ksh/functions/man_complete
index 291db3d..bab26dd 100644
--- a/config/ksh/functions/man_complete
+++ b/config/ksh/functions/man_complete
@@ -1,4 +1,4 @@
 #!/bin/ksh
 man_complete() {
-	set -A complete_man -- $(<$HOME/.cache/ksh/precompletions/manpages)
+	set -A complete_man -- $(<~cache/ksh/precompletions/manpages)
 }
diff --git a/config/ksh/functions/mpvpin b/config/ksh/functions/mpvpin
index 0cc3cf5..7fabc6c 100644
--- a/config/ksh/functions/mpvpin
+++ b/config/ksh/functions/mpvpin
@@ -1,4 +1,4 @@
 #!/bin/ksh
 mpvpin() {
-	mpv --input-ipc-server=/tmp/mpv-socket$(date +%s) --quiet --title "PIN" "$1" >/dev/null 2>&1 &
+	mpv --no-terminal --title "PIN" "$1" >/dev/null 2>&1 &
 }
diff --git a/config/ksh/kshrc b/config/ksh/kshrc
index e81bd97..a5b48e0 100644
--- a/config/ksh/kshrc
+++ b/config/ksh/kshrc
@@ -10,6 +10,7 @@ if ! [[ -d $(dirname $HISTFILE) ]]; then
 fi
 HISTSIZE=5000
 HISTCONTROL="ignoredups"
+FCEDIT="$EDITOR"
 TMPDIR=$XDG_CACHE_HOME/ksh
 if ! [[ -d $TMPDIR ]]; then
 	mkdir -p $TMPDIR;
@@ -17,7 +18,7 @@ fi
 # shortcut for cloning
 GITHUB="https://github.com"
 # make pfetch show what i want
-export PF_INFO="ascii title os host shell editor wm pkgs uptime palette"
+export PF_INFO="ascii title os host shell editor wm pkgs palette"
 # fix manpath so local man pages work
 # crude *bsd detection
 if [[ -d /usr/X11R6 ]]; then
diff --git a/config/ksh/prompt.ksh b/config/ksh/prompt.ksh
index 6ef4c34..80de942 100644
--- a/config/ksh/prompt.ksh
+++ b/config/ksh/prompt.ksh
@@ -17,4 +17,4 @@ vcs() {
 		printf ' %s' "$_GIT_BRANCH"
 	fi
 }
-PS1='\[\033[0;7;32m\]$?\[\033[0;32;45m\]$SEP\[\033[0;7;35m\]\A$RSEP\[\033[0;1;31m\]\u\[\033[0;32m\]@\[\033[1;34m\]\h\[\033[7;36m\]$SEP\[\033[7m\]\w$RSEP\[\033[0;32m\]$(vcs)\n\[\033[0;32m\]\$\[\033[0m\] '
+PS1='\[\033[0;7;32m\]$?\[\033[0;32;45m\]$SEP\[\033[0;7;35m\]\A\[\033[0;35m\]$SEP\[\033[0;1;31m\]\u\[\033[0;32m\]@\[\033[1;34m\]\h\[\033[0;36m\]$RSEP\[\033[7m\]\w\[\033[0;36m\]$SEP\[\033[0;32m\]$(vcs)\n\$\[\033[0m\] '